<!DOCTYPE html>
<html>
    <head>
        <title>Fload</title>
        <meta charset='UTF-8' />
        <link rel='icon' href="http://path/to/the/icon/you/want" />
        <link href="https://fonts.googleapis.com/css2?family=Comfortaa:wght@300&display=swap" rel="stylesheet">
		    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10">// https://github.com/sweetalert2/sweetalert2</script>
    <style>
    html {
      padding : 0;
    }
    body {
      font-family: 'Montserrat';
      background: linear-gradient(311deg, #10b2d1, #f070ec);
      background-size: 100% 100%;
      color : white;
      width : 100%;
      margin-left : 0;
      margin-right : 0;
      margin-bottom : 0;
    }
    .file .fa {
        margin-left : 1em;
        transition : 0.4s;
        zoom : 1.2;
    }
    .fa-arrow-alt-circle-down:hover {
        color : lightskyblue;
    }
    .fa-trash:hover {
        color : rgb(235, 111, 111);
    }
    .fa-trash {
        zoom : 1.5;
    }
    .filesList {
      overflow: auto;
      width : 95%;
      padding-left: 5%;
      align-content : center;
    }
    .fa {
      color : white;
    }
    .ripple-background {
        margin-top : 1em;
        background : white;
    }
    .circle{
        background : white;
        display : flex;
        justify-content: center;
        border-radius: 50%;
        animation: ripple 8s infinite;
        box-shadow: 0px 0px 0.8em 0px #a8adb1;
        transform: translateX(-50%);
      }
      .small{
        /* If you want to put an image on the upload button
        background-image : url('path/to/image');
        background-repeat: no-repeat;
        background-size: 70% 70%;
        background-position-x: 60%;
        background-position-y: center;*/
        -webkit-animation: linearBackground 8s ease infinite;
        -moz-animation: linearBackground 8s ease infinite;
        -o-animation: linearBackground 8s ease infinite;
        animation: linearBackground 8s ease infinite;
        width: 4em;
        height: 4em;
        position : absolute;
        top:3em;
        box-shadow: 0px 0px 1em 0px rgb(87, 86, 86);
      }
      
      .medium{
        width: 4em;
        height: 4em;
        position : absolute;
        top:3em;
      }

      #fileChosen {
        text-align: center;
        max-width: 100%;
        overflow-wrap: break-word;
      }
      /*Upload*/

      #bar {
        width : 0;
        margin : 0;
        height : 100%;
        transition : width ease 0.4s;
        border-radius: 0.4em/0.4em;
        background : linear-gradient(to right ,#f8bbf0 0%, skyblue 100%);
      }

      #progress {
        transition : 0.5s;
        padding :0;
        visibility : hidden;
        border : 0.1em solid white;
        background : rgba(255, 255, 255, 0.7);
        width : 80%;
        height : 0.6em;
        border-radius: 0.4em/0.4em;
      }

      #upButton3 {
        border-radius : 0.4em;
        font-size : 1.6em;
        background-color: indigo;
        color: white;
        margin: 0.1em;
        padding: 0.3em;
        font-family: sans-serif;
        border-radius: 0.3rem;
        cursor: pointer;
        margin-top: 1rem;
        transition : 0.4s;
      }

      #upButton2 {
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        text-align : center;
        border-radius : 0.4em;
        width : 0px;
        font-size : 1.7em;
        background-color: rgb(238, 232, 243);
        color: indigo;
        margin: 0.1em;
        padding: 0.3em;
        font-family: sans-serif;
        border-radius: 0.3rem;
        cursor: pointer;
        margin-top: 1rem;
        transition : 0.4s;
        display : none;
      }

      #upButton2 svg {
        width : 0.8em;
      height : 0.8em;
      }
      
      .large{
        width: 6em;
        height: 6em;
        position : absolute;
        top:2em;
      }
      
      .xlarge{
        user-select: none;
        width: 8em;
        height: 8em;
        position : absolute;
        top:1em;
      }
      
      .xxlarge{
        width: 10em;
        height: 10em;
        position : absolute;
        top:0;
      }
      
      .shade1{
        opacity: 0.2;
      }
      .shade2{
        opacity: 0.5;
      }
      
      .shade3{
        opacity: 0.7;
      }
      
      .shade4{
        opacity: 0.8;
      }
      
      .shade5{
        opacity: 1;
      }

      @keyframes linearBackground{
        0%{
          background-color : purple;
        }
        50% {
          background-color : lightseagreen;
        }
        100%{
          background-color : purple;
        }
      }
      
      @keyframes ripple{
        0%{
          transform: translateX(-50%) scale(0.8);
        }    
        50%{
          transform: translateX(-50%) scale(1.2);
        }
        100%{
            transform: translateX(-50%) scale(0.8);
          }
      }
      .uploadFlow {
        transition : 1s;
        display : flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
      } 
      .files {
        background: rgba(255,128,128,0.7);
        text-align: center;
        display : flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        overflow: auto;
      }
      .file {
        display : flex;
        width : 90%;
        background : rgb(178, 236, 222);
        margin-top : 0.5em;
        margin-bottom : 0.5em;
        min-height : 2.8em;
        border-radius : 10px;
        justify-content: space-between;
        align-items: center;
        padding-top : 0.2em;
        padding-left : 2.5%;
        padding-right : 2.5%;
        transition : 0.4s;
        user-select: none;
        cursor: pointer;
      }
      .file:hover {
        box-shadow : 0 0 1em #fff; ;
      }
      .loader {
        position : relative;
        width : 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        height : 10em;
      }
      #title {
        margin-bottom : 0;
      }
      #serviceName {
        margin : 0;
      }
      @media only screen and (min-width:1000px){
        #upButton2 {
          width : 5em;
        }
        #upButton3 {
          width : 5em;
        }
        #info {
          margin : 1.5em;
        }
        .filesList {
          width : 85%;
        }
        .globalContainer {
          position: absolute;
          top : 0;
          left : 0;
          width : 100%;
          height : 100%;
          display : flex;
          flex-direction: row;
        }
        .uploadFlow {
          position: relative;
          width : 60%;
          height : 100%;
        }
        .files {
          box-shadow: -15px 0px 10px -15px #111; 
          width : 40%;
          border-top-left-radius: 10px ;
          border-bottom-left-radius: 10px;
        }
        #serviceName {
          font-size : 4em;
        }
        .loader {
          height : 24em;
        }
        .circle {
          zoom : 2 !important;
        }
        #pinch {
          display:none;
        }
      }
      @media only screen and (max-width:1000px){
        #upButton2 {
          width : 30%;
          margin-bottom : 1em;
        }
        #upButton3 {
          width : 40%;
          margin-bottom : 1em;
        }
        .iconsInsideRemove {
          display : flex ;
          flex-direction: column ;
          justify-content: right ;
        }
        .file i {
          margin : 0.2em;
        }
        .uploadFlow {
          background : transparent;
        }
        #title {
          display : none;
        }
        #serviceName {
          font-size : 2em;
          margin-bottom :0;
        }
        h2 {
          font-size : 1.5em;
        }
        .ripple-background {
          zoom : 0.8 !important;
        } 
        body {
          font-size : 3em;
        }
        .swal2-popup {
          font-size : 1em !important;
        }
        .globalContainer { 
          width : 100%;
          height : 100%;
          display : flex;
          flex-direction: column;
        }
        .uploadFlow {
          width : 100%;
          position: relative;
          min-height : 50vh;
        }
        .files {
          box-shadow: 0px -15px 10px -15px #111;
          width : 100%;
          display : flex;
          min-height : 50vh;
          max-height : 95vh;
          border-top-left-radius: 10px ;
          border-top-right-radius: 10px;
        }
        #pinch {
          width : 20%;
          height : 0.4em;
          border-radius: 0.4em/0.4em;
          background : lightgrey;
        }
        #uploadedFilesInfo {
          margin-top : 0;
        }
      }
    </style>
    </head>
    <body>
      <div class=globalContainer>
        <div class='uploadFlow'>
          <h1 id='title'>Sharing files yourself made easy</h1>
          <h2 id='serviceName'>Fload</h2>
          <h2 id=info>Upload a file</h2>
          <div class=loader>
            <label for=fileUpload class="ripple-background">
              <div class="circle xxlarge shade1"></div>
              <div class="circle xlarge shade2"></div>
              <div class="circle large shade3"></div>
              <div class="circle medium shade4"></div>
              <div class="circle small shade5"></div>
            </label>
            <input onchange=makeUploadAppear() multiple type=file id='fileUpload' hidden name=fileUpload /> 
          </div>  
          <div id="progress">
            <div id="bar"></div>
          </div>
          <h2 id="fileChosen">No file chosen</h2>
          <label id='upButton2' onclick='submitFile()'>Send <svg xmlns="http://www.w3.org/2000/svg" width="0.8em" height="0.8em" fill="currentColor" class="bi bi-cloud-upload" viewBox="0 0 16 16">
            <path fill-rule="evenodd" d="M4.406 1.342A5.53 5.53 0 0 1 8 0c2.69 0 4.923 2 5.166 4.579C14.758 4.804 16 6.137 16 7.773 16 9.569 14.502 11 12.687 11H10a.5.5 0 0 1 0-1h2.688C13.979 10 15 8.988 15 7.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 2.825 10.328 1 8 1a4.53 4.53 0 0 0-2.941 1.1c-.757.652-1.153 1.438-1.153 2.055v.448l-.445.049C2.064 4.805 1 5.952 1 7.318 1 8.785 2.23 10 3.781 10H6a.5.5 0 0 1 0 1H3.781C1.708 11 0 9.366 0 7.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383z"/>
            <path fill-rule="evenodd" d="M7.646 4.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 5.707V14.5a.5.5 0 0 1-1 0V5.707L5.354 7.854a.5.5 0 1 1-.708-.708l3-3z"/>
            </svg></label>         
        </div>
        <div class='files'>
          <hr id='pinch' />
          <h2 id='uploadedFilesInfo'>Previously uploaded files</h2>
          <div class=filesList>

              <%if (filename.length > 0) {%>
                <%for (var i=0;i<filename.length;i++) {%>
                  <div class='file' onclick=goTo(<%=i%>) ><input class=fileValue type=hidden value="<%=filename[i].replace(/"/g, '\\"')%>"/>
                <%if (filename[i].length > 26) {%>
                  <%=filename[i].slice(0,26)%>..<div class='remove'><div class='iconsInsideRemove'><i onclick=download(<%=i%>) class="fa fa-arrow-alt-circle-down"></i><i onclick=del(<%=i%>) class="fa fa-trash " ></i></div></div></div>
                  <%} else {%><%=filename[i]%><div class='remove'><div class='iconsInsideRemove'><i onclick=download(<%=i%>) class="fa fa-arrow-alt-circle-down"></i><i onclick=del(<%=i%>) class="fa fa-trash " ></i></div></div></div><%}%>
              <%}}%>
          </div>
        </div>
      </div>
      <script>
          function  disconnect() {
            var link= 'http:/<%=address%>/fload'
            inputData= {
              disconnect: true };
            return fetch(link, {
              method : 'POST',
              headers: {"Content-type": "application/json;charset=UTF-8"},
              body : JSON.stringify(inputData)
            })
          }


          function makeUploadAppear(){
            document.querySelector('#upButton2').style.display = 'inline-block' ;
            uploadFile = document.getElementById("fileUpload").files;
            if (uploadFile.length > 1) {
              displayContent = 'Multiple files selected (' + uploadFile.length + ')';
              setTimeout(function() {
                document.getElementById('fileChosen').innerText = displayContent;	
              },1);
            }
            else if (uploadFile.length > 0) {
              document.getElementById('fileChosen').innerText = uploadFile[0].name
            }
            else {
              document.getElementById('fileChosen').innerText = 'No File Chosen'
            }
          }


          function submitFile () {
            document.querySelector('#upButton2').setAttribute('id', 'upButton3');
            document.querySelector('#upButton3').innerHTML ='Uploading..'
            document.querySelector('#progress').style.visibility = 'visible' ;
            document.querySelector('#bar').style.width = '100%';
            // (A) FILE UPLOAD
            var data = new FormData(),
            uploadFile = document.getElementById("fileUpload").files;
            for (var i = 0; i < uploadFile.length; i++) {
              //add to list
              data.append("files", uploadFile[i]);
            }
            // data.append("KEY", "VALUE");
            
            // (B) AJAX
            var xhr = new XMLHttpRequest();
            xhr.open("POST", "http:/<%=address%>/fload/upload");
            // (C) UPLOAD PROGRESS
            var percent = 0, width = 0,
            bar = document.getElementById("bar");
            
            xhr.upload.onloadstart = function(evt){
              bar.style.width = "0";
            };
            
            xhr.upload.onprogress = function(evt){
              percent = evt.loaded / evt.total;
              width = Math.ceil(percent * 100);
              bar.style.width = width + "%";
            };
            
            xhr.upload.onloadend = function(evt){
              bar.style.width = "100%";
              setTimeout( function () {
                document.querySelector('#fileUpload').value = null ;
                document.querySelector('#progress').style.visibility = 'hidden' ;
                document.querySelector('#upButton3').style.display = 'none' ;
                setTimeout(function() {
                document.querySelector('#upButton3').id = 'upButton2' ;
                document.querySelector('#upButton2').innerHTML = 'Send <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-upload" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.406 1.342A5.53 5.53 0 0 1 8 0c2.69 0 4.923 2 5.166 4.579C14.758 4.804 16 6.137 16 7.773 16 9.569 14.502 11 12.687 11H10a.5.5 0 0 1 0-1h2.688C13.979 10 15 8.988 15 7.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 2.825 10.328 1 8 1a4.53 4.53 0 0 0-2.941 1.1c-.757.652-1.153 1.438-1.153 2.055v.448l-.445.049C2.064 4.805 1 5.952 1 7.318 1 8.785 2.23 10 3.781 10H6a.5.5 0 0 1 0 1H3.781C1.708 11 0 9.366 0 7.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383z"/><path fill-rule="evenodd" d="M7.646 4.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 5.707V14.5a.5.5 0 0 1-1 0V5.707L5.354 7.854a.5.5 0 1 1-.708-.708l3-3z"/></svg>';
                document.querySelector('#upButton2').setAttribute('onclick', 'submitFile()');},800);
              }, 2000
              )
              setTimeout(function(){
                Swal.fire('Good news','File uploaded. Reload the page twice to see it.','success')
                document.body.style.paddingRight = '0';
                document.querySelector('#fileChosen').textContent = 'No File Chosen' ;
                bar.style.width = "0";
              },2500)
            };
            xhr.send(data);
            
            // (E) GO!
            return false;
          }

          function goTo(link) {
            e = window.event
            if (e.target.tagName=='DIV') {
            link=document.querySelectorAll('.fileValue')[link].value
            window.open('Fload/file/' + link)              
            }
            else {
              return false;
            }
          }
          
          function del(link) {
            link=document.querySelectorAll('.fileValue')[link]
            data = {'removeFiles' : link.value};
            fetch('http://<%=address%>/Fload', {
              method : 'POST',
              headers: {"Content-type": "application/json;charset=UTF-8"},
              body : JSON.stringify(data)
            }).then(response => response.text())
            .then(data => {
              if (data =='2') {
                Swal.fire('Good news !','Your file probably has been deleted ! You can reload the page to check it.','success');
                link.parentNode.remove();
              }
              else {
                Swal.fire('Error..','Message from server : ' + data,'error')
              }
            })
          }

          function download (link) {
            window.open('Fload/File/'+ document.querySelectorAll('.fileValue')[link].value);
          }
          document.onkeydown = checkKeycode
          function checkKeycode(e) {
              var keycode;
              if (window.event) {
                  keycode = window.event.keyCode;
              } else if (e) {
                  keycode = e.which;
              }
              if (window.event.ctrlKey && keycode == 81) {
                disconnect()
                Swal.fire('Note','Disconnected successfully !','success')
              }
            }              
      </script>
    </body>
</html>
